### Method

# Camel MessageInfo save

since: 3.24

#### Declaration [src]

    gboolean
    camel_message_info_save (
      const CamelMessageInfo* mi,
      CamelStoreDBMessageRecord* record,
      GString* bdata_str
    )

#### Description [src]

Save the `mi` content to the message info record `record`. It can populate all but the record->bdata value, which is set fro mthe `bdata_str`. Use helper functions `camel_util_bdata_put_number()` and `camel_util_bdata_put_string()` to put data into the `bdata_str`.

Available since: 3.24

#### Parameters

`record`

  Type: `CamelStoreDBMessageRecord`

  A `CamelStoreDBMessageRecord` to populate.

  The data is owned by the caller of the method.

`bdata_str`

  Type: `GString`

  A `GString` with a string to save as backend specific data (bdata).

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether the save succeeded.